/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.contabilidad.EntConta;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author obper
 */
@Entity
@Table(name = "vPagoEventual")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "VPagoEventual.findAll", query = "SELECT v FROM VPagoEventual v"),
    @NamedQuery(name = "VPagoEventual.findById", query = "SELECT v FROM VPagoEventual v WHERE v.id = :id"),
    @NamedQuery(name = "VPagoEventual.findByEmpCod", query = "SELECT v FROM VPagoEventual v WHERE v.empCod = :empCod"),
    @NamedQuery(name = "VPagoEventual.findByNombre", query = "SELECT v FROM VPagoEventual v WHERE v.nombre = :nombre"),
    @NamedQuery(name = "VPagoEventual.findByNit", query = "SELECT v FROM VPagoEventual v WHERE v.nit = :nit"),
    @NamedQuery(name = "VPagoEventual.findByDui", query = "SELECT v FROM VPagoEventual v WHERE v.dui = :dui"),
    @NamedQuery(name = "VPagoEventual.findByPagoTurno", query = "SELECT v FROM VPagoEventual v WHERE v.pagoTurno = :pagoTurno"),
    @NamedQuery(name = "VPagoEventual.findByPagoDiurno", query = "SELECT v FROM VPagoEventual v WHERE v.pagoDiurno = :pagoDiurno"),
    @NamedQuery(name = "VPagoEventual.findByPagoMinutos", query = "SELECT v FROM VPagoEventual v WHERE v.pagoMinutos = :pagoMinutos"),
    @NamedQuery(name = "VPagoEventual.findByPagoNocturno", query = "SELECT v FROM VPagoEventual v WHERE v.pagoNocturno = :pagoNocturno"),
    @NamedQuery(name = "VPagoEventual.findBySubTotal", query = "SELECT v FROM VPagoEventual v WHERE v.subTotal = :subTotal"),
    @NamedQuery(name = "VPagoEventual.findByRenta", query = "SELECT v FROM VPagoEventual v WHERE v.renta = :renta"),
    @NamedQuery(name = "VPagoEventual.findByTotalPago", query = "SELECT v FROM VPagoEventual v WHERE v.totalPago = :totalPago"),
    @NamedQuery(name = "VPagoEventual.findBySucursal", query = "SELECT v FROM VPagoEventual v WHERE v.sucursal = :sucursal"),
    @NamedQuery(name = "VPagoEventual.findByFecha", query = "SELECT v FROM VPagoEventual v WHERE v.fecha = :fecha")})
public class VPagoEventual implements Serializable {

    private static final long serialVersionUID = 1L;
    @Size(max = 26)
    @Column(name = "id")
    @Id
    private String id;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 4)
    @Column(name = "emp_cod")
    private String empCod;
    @Size(max = 61)
    @Column(name = "nombre")
    private String nombre;
    @Size(max = 14)
    @Column(name = "nit")
    private String nit;
    @Size(max = 10)
    @Column(name = "dui")
    private String dui;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Basic(optional = false)
    @NotNull
    @Column(name = "pago_turno")
    private BigDecimal pagoTurno;
    @Basic(optional = false)
    @NotNull
    @Column(name = "pago_diurno")
    private BigDecimal pagoDiurno;
    @Basic(optional = false)
    @NotNull
    @Column(name = "pago_minutos")
    private BigDecimal pagoMinutos;
    @Basic(optional = false)
    @NotNull
    @Column(name = "pago_nocturno")
    private BigDecimal pagoNocturno;
    @Basic(optional = false)
    @NotNull
    @Column(name = "sub_total")
    private BigDecimal subTotal;
    @Basic(optional = false)
    @NotNull
    @Column(name = "renta")
    private BigDecimal renta;
    @Basic(optional = false)
    @NotNull
    @Column(name = "total_pago")
    private BigDecimal totalPago;
    @Basic(optional = false)
    @NotNull
    @Column(name = "fecha")
    @Temporal(TemporalType.DATE)
    private Date fecha;
    @Basic(optional = false)
    @NotNull
    @Column(name = "id_de_pago")
    private String idDePago;
    @Basic(optional = false)
    @NotNull
    @Column(name = "sucursal")
    private String sucursal;

    public VPagoEventual() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getEmpCod() {
        return empCod;
    }

    public void setEmpCod(String empCod) {
        this.empCod = empCod;
    }

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public String getNit() {
        return nit;
    }

    public void setNit(String nit) {
        this.nit = nit;
    }

    public String getDui() {
        return dui;
    }

    public void setDui(String dui) {
        this.dui = dui;
    }

    public BigDecimal getPagoTurno() {
        return pagoTurno;
    }

    public void setPagoTurno(BigDecimal pagoTurno) {
        this.pagoTurno = pagoTurno;
    }

    public BigDecimal getPagoDiurno() {
        return pagoDiurno;
    }

    public void setPagoDiurno(BigDecimal pagoDiurno) {
        this.pagoDiurno = pagoDiurno;
    }

    public BigDecimal getPagoMinutos() {
        return pagoMinutos;
    }

    public void setPagoMinutos(BigDecimal pagoMinutos) {
        this.pagoMinutos = pagoMinutos;
    }

    public BigDecimal getPagoNocturno() {
        return pagoNocturno;
    }

    public void setPagoNocturno(BigDecimal pagoNocturno) {
        this.pagoNocturno = pagoNocturno;
    }

    public BigDecimal getSubTotal() {
        return subTotal;
    }

    public void setSubTotal(BigDecimal subTotal) {
        this.subTotal = subTotal;
    }

    public BigDecimal getRenta() {
        return renta;
    }

    public void setRenta(BigDecimal renta) {
        this.renta = renta;
    }

    public BigDecimal getTotalPago() {
        return totalPago;
    }

    public void setTotalPago(BigDecimal totalPago) {
        this.totalPago = totalPago;
    }

    public Date getFecha() {
        return fecha;
    }

    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }

    public String getIdDePago() {
        return idDePago;
    }

    public void setIdDePago(String idDePago) {
        this.idDePago = idDePago;
    }

    public String getSucursal() {
        return sucursal;
    }

    public void setSucursal(String sucursal) {
        this.sucursal = sucursal;
    }
    
}
